Bug 1292311 - [DOCS] Install guide notes that master and etcd cannot be together in HA config
[DOCS] Install guide notes that master and etcd cannot be together in HA config
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
All Unspecified
high Severity medium
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 20:33 EST by Veer Muchandi
Modified: 2018-01-25 16:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Veer Muchandi 2015-12-16 20:33:07 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/3.1/installation-and-configuration/chapter-2-installing#configuring-ansible

Section Number and Name: 
2.4.3.2

Describe the issue: 
Here is what the note says
NOTE
When specifying multiple etcd hosts, external etcd is installed and configured. Clustering of OpenShift’s embedded etcd is not supported.

Here is what Mike said
http://post-office.corp.redhat.com/archives/aos-devel/2015-November/msg00542.html


Suggestions for improvement: 

Fix the defect

Additional information:
Comment 1 Alex Dellapenta 2015-12-18 13:12:44 EST
This was not meant to suggest that they could not be collocated, just that if you specify multiple etcd hosts, the standalone version of etcd is installed, instead of the etcd that is embedded in OpenShift itself. Calling it "external etcd" is probably the confusion here, but also we can add some language specifically about collocation to clear things up.
Comment 2 Veer Muchandi 2015-12-18 13:16:23 EST
Yes clarifying on colocation will help. 
During my interaction with the customer, I said that colocation is possible and customer pointed this out and I got confused. Based on your answer I understand that colocation is actually possible. 

It also helps if we clarify whether the 3 masters (or odd number of masters) are required for the purpose of colocation with etcd. Can we manage with 2 masters for HA if etcd is not collocated? Or are there any other implications?

Note You need to log in before you can comment on or make changes to this bug.